## org.gnu.gtk.event
Class RangeEvent

    java.lang.Object
      org.gnu.gtk.event.GtkEvent
          org.gnu.gtk.event.RangeEvent

All Implemented Interfaces:
  java.io.Serializable

public class RangeEvent
extends GtkEvent

An event represeting action by a `Range` widget.

See Also:
  `RangeListener`, `Range`, Serialized Form

Nested Class Summary
`static class` `RangeEvent.Type`

Field Summary

Fields inherited from class org.gnu.gtk.event.GtkEvent
`source, type`

Constructor Summary
`RangeEvent(java.lang.Object source)` Creates a new Spin Event.

Methods inherited from class org.gnu.gtk.event.GtkEvent
`getSource, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RangeEvent

    public RangeEvent(java.lang.Object source)

  Creates a new Spin Event. This is used internally by java-gnome. Users only have to deal with listeners.